<?php

/*
 * @description	sh404SEF support for Zoo
 * @author		yoonique.net
 * @copyright	yoonique.net 2013
 * @license		http://www.gnu.org/licenses/gpl.html
 */

defined('_JEXEC') or die('Direct Access to this location is not allowed.');

// ------------------  standard plugin initialize function - don't change ---------------------------
global $sh_LANG;
if (class_exists('shRouter')) {
	$sefConfig = shRouter::shGetConfig();
} else {
	$sefConfig = Sh404sefFactory::getConfig();
}
$shLangName = '';
$shLangIso = '';
$segments = array();
$shItemidString = '';
$dosef = shInitializePlugin($lang, $shLangName, $shLangIso, $option);
if ($dosef == false)
	return;
// ------------------  standard plugin initialize function - don't change ---------------------------

require_once(JPATH_ADMINISTRATOR . '/components/com_zoo/config.php');

if (!function_exists('myRemoveFromGETVarsList')) {
	function myRemoveFromGETVarsList($var, $uri) {
		shRemoveFromGETVarsList($var);
	}
}

if (!isset($ZOO_SEF_ALPHAINDEX)) {
	$plugin = JPluginHelper::getPlugin('sh404sefextplugins', 'sh404sefextplugincom_zoo');

	$pluginParams = new JRegistry($plugin->params);
}

$this->zoo = App::getInstance('zoo');

// get query parameters
$uri = new JURI($string);
$query = $uri->getQuery(true);
//extract ($query);

include dirname(__FILE__) . '/com_zoo_yoonique_sef.php';

if (!$ZOO_SEF_ADD_TRAILING_SLASH && isset($segments))
	$segments = array_filter($segments);

shRemoveFromGETVarsList('task');
shRemoveFromGETVarsList('view');

if (isset($option))
	shRemoveFromGETVarsList('option');
if (isset($Itemid))
	shRemoveFromGETVarsList('Itemid');
if (isset($lang))
	shRemoveFromGETVarsList('lang');


// ------------------  standard plugin finalize function - don't change ---------------------------
if ($dosef) {
	$string = shFinalizePlugin($string, $segments, $shAppendString, $shItemidString, (isset($limit) ? @$limit : null), (isset($limitstart) ? @$limitstart : null), (isset($shLangName) ? @$shLangName : null));
}
// ------------------  standard plugin finalize function - don't change ---------------------------